Characters
Delete a reference image
Delete one reference image of a character.
DELETE
https://api.sangtao.ai/v2/characters/{id}/ref-images/{imageId}Authorization
X-Api-Keystring · headerrequiredYour API key, from the API keys page of your account.
Path parameters
idstringrequiredThe ID in the path.
imageIdstringrequiredThe imageId in the path.
imageId is the image's refImages[].id (ci_…).
Response
data is { "deleted": true }.
Errors
| Status | errorCode | When |
|---|---|---|
| 404 | CHARACTER_NOT_FOUND | No such character, or it is not yours |
| 404 | REF_IMAGE_NOT_FOUND | The character has no image with this imageId |
An error has success: false, errorCode as above, and error is a sentence saying what went wrong.
DELETE
/characters/{id}/ref-images/{imageId}curl -X DELETE "https://api.sangtao.ai/v2/characters/ch_3kT9qPz0B/ref-images/ci_8hQ2mZr4K" \
-H "X-Api-Key: YOUR_API_KEY"{
"success": true,
"data": {
"deleted": true
}
}DELETE
/characters/{id}/ref-images/{imageId}curl -X DELETE "https://api.sangtao.ai/v2/characters/ch_3kT9qPz0B/ref-images/ci_8hQ2mZr4K" \
-H "X-Api-Key: YOUR_API_KEY"{
"success": true,
"data": {
"deleted": true
}
}